RESIZEWIN(1)

NAME
resizewin - update terminal size

SYNOPSIS
resizewin [-z]

DESCRIPTION
The resizewin utility queries the terminal emulator for the current window size and updates the size known to the kernel using the TIOCSWINSZ ioctl.

The following options are available:

-z  Do nothing unless the current kernel terminal size is zero. This is useful when run from a user's profile (shell startup) scripts: querying the window size is required for serial lines, but not when logging in over the network, as protocols like TELNET or SSH already handle the terminal size by themselves.

After a terminal window has been resized, running resizewin updates the kernel's window size to match the new size.

resizewin is functionally similar to resize(1), which is part of the xterm(1) distribution. However, resizewin only works with VT100/ANSI-compatible terminals and does not emit commands to set environment variables.

The terminal is assumed to be VT100/ANSI compatible. The VT100/ANSI escape sequences are supported by virtually all modern terminals, including xterm, konsole, gnome-terminal, iTerm, Terminal.app, and PuTTY.

SEE ALSO
stty(1), tty(4)

HISTORY
The resizewin command first appeared in FreeBSD 11.0.